Skip navigation

whatsapp not working on iphone 3G

168621 Views 482 Replies Latest reply: Feb 2, 2014 8:08 AM by Meg St._Clair RSS Branched to a new discussion.
  • FelipeV Level 5 Level 5 (4,335 points)
    Currently Being Moderated
    Dec 27, 2012 6:45 AM (in response to jejejessica)

    Everyone here should complain to whatsapp. Moaning and groaning here will not get you anywhere as this is not an Apple issue.

  • Iucle Calculating status...
    Currently Being Moderated
    Dec 27, 2012 6:47 AM (in response to jejejessica)

    You can write to support@whatsapp.com and ask them to get compatibility to iOS 4.2. I already did. More we are to write then,more the possibility to get it back on iphone 3G.

  • acchiappasogni Calculating status...
    Currently Being Moderated
    Dec 27, 2012 9:38 AM (in response to Iucle)

    I have an iPhone 3G and I wrote to them too. If they will reply me I will post it here.

  • jzerda Calculating status...
    Currently Being Moderated
    Dec 27, 2012 10:52 AM (in response to dilip patwardhan)

    I have the same problem too, will send a message to whatsapp

  • Falomain Calculating status...
    Currently Being Moderated
    Dec 27, 2012 12:04 PM (in response to dilip patwardhan)

    Ha! Wrote a complaint to them a few minutes ago... Their reply? ''Merry Christmas''! (ok, also ''... sorry these days many of us are out for holidays etc. etc. So this is an automatic reply)

    Please do not stop complaining!

     

    (and by the way, Season's Greetings to all!)

  • mosidat Calculating status...
    Currently Being Moderated
    Dec 27, 2012 1:34 PM (in response to Falomain)

    just got this email from whatsapp....

     

    Hi,

    Thanks for your message.

    In order to connect to WhatsApp, or activate your number, you will need the latest version of WhatsApp - v2.8.7 - available from the App Store on your iPhone. Please note that iPod and iPad are not supported devices.

    The latest version of WhatsApp for iPhone requires iOS 4.3 or later. Regretfully, Apple does not allow new app updates to be compatible with both iOS 6 and older versions of iOS, effectively ending support for iPhone 3G and the original iPhone. Because of Apple's policy change to new App Store submissions, there is nothing we can do at this time for users with older versions of iOS.

    If you have an iPhone 3GS or newer device, please update to iOS 4.3 or later.

  • Iucle Level 1 Level 1 (0 points)
    Currently Being Moderated
    Dec 27, 2012 1:45 PM (in response to mosidat)

    That is a very bad news. I haven't got a reply from them yet but I suppose I'll get the same reply.

    How bad is that from apple?

    Not get the support to some apps that run smoothly on iphone 3G?

    So now what? Should we write to Apple?

  • KiltedTim Level 8 Level 8 (35,975 points)
    Currently Being Moderated
    Dec 27, 2012 1:49 PM (in response to Iucle)

    No. Apple can't do anything about it. It's not an Apple product. The developers chose to drop support for iOS 4.2.1. Talk to them, buy a newer phone, or switch to a competing product.

  • mosidat Level 1 Level 1 (0 points)
    Currently Being Moderated
    Dec 27, 2012 2:46 PM (in response to Iucle)

    my reply was an automated one, as soon as I'd sent it the reply came back instantly so I'm assuming they are getting alot of emails from people....

     

    the only hope is the bit where they say "there is nothing we can do at this time for users with older versions of iOS"

  • acchiappasogni Level 1 Level 1 (0 points)
    Currently Being Moderated
    Dec 27, 2012 5:18 PM (in response to dilip patwardhan)

    I received the same reply, copy/paste, so... iPhone 3G is too old yet...

  • Iucle Level 1 Level 1 (0 points)
    Currently Being Moderated
    Dec 27, 2012 5:37 PM (in response to dilip patwardhan)

    So after their reply I suppose that all the applications that use sort of Internet connctivity won't be able to rub on3g because the developers made them compatible to iOS 6?

    That is unfair!!

    Then I am supposed to trash my iphone 3G that works perfectly?

    Great!

  • surewinn Calculating status...
    Currently Being Moderated
    Dec 27, 2012 5:42 PM (in response to dilip patwardhan)

    I having the same problem, how to update to ios 4? Is there a link?

  • Deepakkitchu Calculating status...
    Currently Being Moderated
    Dec 27, 2012 9:03 PM (in response to dilip patwardhan)

    I am also facing the similar issue. Have send an email to whatsapp support. Awaiting response from them.

     

    Got an automated reply stating that due to the holidays there will be a delay in responding to the query.

     

    Hope they will have a solution for this. Keeping fingers crossed.

  • jackjack81 Calculating status...
    Currently Being Moderated
    Dec 28, 2012 8:37 AM (in response to dilip patwardhan)

    NOTE: Regretfully, Apple does not allow new app updates to be compatible with both iOS 6 and older versions of iOS, effectively ending support for iPhone 3G and the original iPhone. Because of Apple's policy change to new App Store submissions, there is nothing we can do at this time for users with older versions of iOS.

     

    Whatsapp is not the party we are supposed take this issue up with but instead Apple themselves...

     

    At the moment Apple intends to leave iphone 3g behind so that people will purchase their future Apple products...

     

    This means that all Apple products will inevitably get discontinued and left behind after a few years... making Apple products worthless in the long run..

     

    Unless Apple themselves resolve this issue... i do not see a point getting a new iphone 5... as it will face the same problem 3-5 years from now..

     

    Dont get me wrong, i love my Apple products but i find this to be an important issue with Apple starting to display their dominance in the global market...

     

    I would be most grateful if Apple themselves could provide us with an insight regarding this matter. 

  • KiltedTim Level 8 Level 8 (35,975 points)
    Currently Being Moderated
    Dec 28, 2012 8:52 AM (in response to jackjack81)

    jackjack81 wrote:

     

    NOTE: Regretfully, Apple does not allow new app updates to be compatible with both iOS 6 and older versions of iOS, effectively ending support for iPhone 3G and the original iPhone. Because of Apple's policy change to new App Store submissions, there is nothing we can do at this time for users with older versions of iOS.

    That is pure bunk. Apple requires that Apps be compatible with iOS several versions removed from the current one. The app developer has not figured out a way to code the app to be compatible with both iOS 6 and 4.2.1.

1 2 3 4 ... 33 Previous Next

Actions

More Like This

  • Retrieving data ...

Bookmarked By (3)

Legend

  • This solved my question - 10 points
  • This helped me - 5 points
This site contains user submitted content, comments and opinions and is for informational purposes only. Apple disclaims any and all liability for the acts, omissions and conduct of any third parties in connection with or related to your use of the site. All postings and use of the content on this site are subject to the Apple Support Communities Terms of Use.